Subject: bug#27614: 26.0.50; kill-region deletes the rest of the document when there is no region selected

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jul 2017 10:11:16 +0300

> From: Jeffrey Brown <[email-masked]>
> Date: Fri, 7 Jul 2017 23:54:45 -0700
> 
> If I highlight something and then run kill-region (C-w), it
> gets killed. That's good.
> But if I highlight nothing, and accidentally run kill-region, the
> rest of the document starting at the cursor gets killed.

When I try this without having any region, Emacs says

  The mark is not set now, so there is no region

and doesn't kill anything.

So I'm guessing that you do have a region in those cases, just not a
highlighted one.  You can make it highlighted by "C-x C-x" (twice, if
you want to return to the original location).  I suggest to grow a
habit of doing that before each C-w, because, really, Emacs does here
what you told it to do.

Thanks.